Bug 464039 - Timeouts in wait_drive_not_busy with TEAC DV-W28ECW and similar
Timeouts in wait_drive_not_busy with TEAC DV-W28ECW and similar
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity high
: rc
: ---
Assigned To: Michal Schmidt
Red Hat Kernel QE team
: 459492 (view as bug list)
Depends On:
Blocks: 483701 485920
  Show dependency treegraph
Reported: 2008-09-25 20:44 EDT by Wade Mealing
Modified: 2013-08-23 08:18 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 04:32:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Increase timeout to 10ms, rather than 1ms. (849 bytes, patch)
2008-09-25 23:07 EDT, Wade Mealing
no flags Details | Diff
rhel5 patch which was actually tested (according to IT) (1021 bytes, patch)
2009-03-11 09:24 EDT, Michal Schmidt
no flags Details | Diff

  None (edit)
Description Wade Mealing 2008-09-25 20:44:05 EDT
+++ This bug was initially created as a clone of Bug #456078 +++

Description of problem:

Some TEAC drives take a long time to return to non-Busy status following an
IDENTIFY command (>=6ms), causing following messages to be logged:

08:20:36 hex kernel: hda: irq timeout: status=0xd0 { Busy }
08:20:36 hex kernel: hda: irq timeout: error=0x00
08:20:36 hex kernel: hda: ATAPI reset complete
08:20:36 hex kernel: VFS: busy inodes on changed media 

Version-Release number of selected component (if applicable):

How reproducible:
Infrequently but depends on drive/usage. Some users report the drives to be
unusable while others see only infrequent failures.

Steps to Reproduce:
1. cat /proc/ide/<drive>/identify
Actual results:
22 failures in 60,000 accesses:

 kernel: hda: task_in_intr: status=0xd0 { Busy }
 kernel: hda: task_in_intr: error=0xd0LastFailedSense 0x0d

Expected results:
No error logged. Drive usable as normal.

Additional info:
Reported upstream as kernel bug 10887:

And fixed in commit f54feafa6d47d0aa1a96adefdc763b708b02f94f:

Author: Bartlomiej Zolnierkiewicz <bzolnier@gmail.com>
Date:   Fri Jun 20 20:53:33 2008 +0200

    ide: increase timeout in wait_drive_not_busy()
    Some ATAPI devices take longer than the current max timeout value to
    become ready (i.e. TEAC DV-W28ECW takes 6 ms) so increase the timeout
    value to 10 ms.
    This fixes kernel.org bugzilla bug #10887:
    Reported-by: Masanari Iida <standby24x7@gmail.com>
    Signed-off-by: Bartlomiej Zolnierkiewicz <bzolnier@gmail.com>

--- Additional comment from bmr@redhat.com on 2008-07-21 08:37:59 EDT ---

This is also anecdotaly affecting drives from other vendors.

--- Additional comment from bmr@redhat.com on 2008-07-21 08:38:49 EDT ---

Related to bug 453808 for the same drive model:

qc timeout probing TEAC DV-28E-V CD/DVD drive on SATA/PATA bridge

--- Additional comment from bmr@redhat.com on 2008-07-21 13:25:35 EDT ---

Increasing sev/prio on these bugs as we're starting to see a lot of reports from
customers hitting this.

--- Additional comment from alan@redhat.com on 2008-07-23 15:44:40 EDT ---

I'm happy with that proposed patch 


I'm just going to re-diff this patch for the current EL5 code base and attach it to this bugzilla.

I don't believe this will make it for 5.3 so will propose for 5.4
Comment 1 Wade Mealing 2008-09-25 23:07:17 EDT
Created attachment 317758 [details]
Increase timeout to 10ms, rather than 1ms.
Comment 2 RHEL Product and Program Management 2009-02-16 10:08:49 EST
Updating PM score.
Comment 3 Michal Schmidt 2009-02-27 04:56:23 EST
*** Bug 459492 has been marked as a duplicate of this bug. ***
Comment 4 Michal Schmidt 2009-03-11 09:24:41 EDT
Created attachment 334793 [details]
rhel5 patch which was actually tested (according to IT)

This version of the patch also adds the upstream fix b42fa133110fa952299fa76cbe91226c14838261
ide: never called printk statement in ide-taskfile.c::wait_drive_not_busy
Comment 5 Don Zickus 2009-03-16 11:21:25 EDT
in kernel-2.6.18-135.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 9 Chris Ward 2009-07-03 14:09:41 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 10 Sandy Garza 2009-07-30 12:33:37 EDT
HP verified successfully with RHEL 5.4 Snapshot 2.
Comment 12 errata-xmlrpc 2009-09-02 04:32:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.